cudnn_frontend::OperationGraphBuilder_v8
cudnn_frontend_OperationGraph.h
OperationGraph_v8 OperationGraph_v8 cudnn_frontend::OperationGraphBuilder_v8::m_operationGraph m_operationGraph
auto auto cudnn_frontend::OperationGraphBuilder_v8::setHandle (cudnnHandle_t handle_) -> OperationGraphBuilder_v8 & setHandle cudnnHandle_t handle_

Set cudnnHandle for the operations.

auto auto cudnn_frontend::OperationGraphBuilder_v8::setOperationGraph (int64_t numOps_, Operation_v8 const **ops_) -> OperationGraphBuilder_v8 & setOperationGraph int64_t numOps_ Operation_v8 const ** ops_

Set numoperations and the operations.

OperationGraph_v8 && OperationGraph_v8&& cudnn_frontend::OperationGraphBuilder_v8::build () build

constructs the OperationGraph_v8 by calling the cudnn API Throws the appropriate error message

cudnn_frontend::getLogger
cudnn_frontend::OperationGraph_v8::OperationGraphBuilder_v8
cudnn_frontend::OperationGraph_v8::operator=
cudnn_frontend::set_error_and_throw_exception
cudnn_frontend::BackendDescriptor::status
cudnn_frontend::OperationGraphBuilder_v8::OperationGraphBuilder_v8
()=default
OperationGraphBuilder_v8
cudnn_frontend::OperationGraphBuilder_v8::~OperationGraphBuilder_v8
()=default
~OperationGraphBuilder_v8
cudnn_frontend::OperationGraphBuilder_v8::OperationGraphBuilder_v8
(OperationGraphBuilder_v8 &&)=delete
OperationGraphBuilder_v8
OperationGraphBuilder_v8 &&
cudnn_frontend::OperationGraphBuilder_v8::OperationGraphBuilder_v8
(OperationGraphBuilder_v8 const &)=delete
OperationGraphBuilder_v8
OperationGraphBuilder_v8 const &
OperationGraphBuilder_v8 & OperationGraphBuilder_v8& cudnn_frontend::OperationGraphBuilder_v8::operator= (OperationGraphBuilder_v8 const &)=delete operator= OperationGraphBuilder_v8 const &

OperationGraphBuilder_v8 Class Helper class used to build OperationGraph_v8 class

shared_ptr< OpaqueBackendPointer >
T
cudnnHandle_t
std::vector< T >
+elements
std::array< T >
+elements
cudnn_frontend::OperationGraphBuilder_v8
-m_operationGraph
std::array< ManagedOpaqueDescriptor, 10 >
+elements
< ManagedOpaqueDescriptor, 10 >
std::vector< int64_t >
+elements
< int64_t >
cudnnStatus_t
std::basic_string< char >
std::vector< feature_vector_t >
+elements
< feature_vector_t >
cudnn_frontend::OperationGraph_v8
-numOps
-ops
-opGraphTag
-handle
-feature_vectors
ManagedOpaqueDescriptor
int64_t
cudnn_frontend::BackendDescriptor
#err_msg
#pointer
#status
std::string
- cudnn_frontend::OperationGraphBuilder_v8
  build
- cudnn_frontend::OperationGraphBuilder_v8
  m_operationGraph
- cudnn_frontend::OperationGraphBuilder_v8
  OperationGraphBuilder_v8
- cudnn_frontend::OperationGraphBuilder_v8
  OperationGraphBuilder_v8
- cudnn_frontend::OperationGraphBuilder_v8
  OperationGraphBuilder_v8
- cudnn_frontend::OperationGraphBuilder_v8
  operator=
- cudnn_frontend::OperationGraphBuilder_v8
  setHandle
- cudnn_frontend::OperationGraphBuilder_v8
  setOperationGraph
- cudnn_frontend::OperationGraphBuilder_v8
  ~OperationGraphBuilder_v8